public class LectureReelDansIntervalleEnConsole {

////////////////////////////////////////////////

/* Lecture au clavier d'une valeur reelle     */
/* comprise dans un intervalle et retour      */

  static double lectureReel(double min,double max) {
    double valeur;
    valeur = Console.saisirDouble();
    while ( ( valeur < min ) || ( valeur > max ) ) {
      Console.afficher("Erreur, resaisissez : ");
      valeur = Console.saisirDouble(); }
    return valeur;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("LectureReelDansIntervalle");
    double min;
    double max;
    double v;
    Console.afficher("SVP, min : ");
    min = Console.saisirDouble();
    Console.afficher("SVP, max : ");
    max = Console.saisirDouble();
    Console.afficher("SVP, n : ");
    v = lectureReel(min,max);
    Console.afficherln("Valeur lue = ",v);
  }
}